Name:          python-zope-component
Version:       5.0.0
Release:       1mamba
Summary:       Zope Component Architecture
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://docs.zope.org/zopetoolkit/
Source:        https://pypi.debian.net/zope.component/zope.component-%{version}.tar.gz
License:       Zope Public License
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRequires: libpython-devel
Requires:      python >= %python_version
Requires:      python-zope-deferredimport
Requires:      python-zope-deprecation
Requires:      python-zope-interface
Requires:      python-zope-event
Requires:      python-zope-hookable
Requires:      python-zope-proxy

%description
%{summary}.

%if "%?with_pyver"
%define pyver           %{with_pyver}
%define pyappend        py%{with_pyver}
%define __python        %(rpm --eval %{__python%{with_pyver}})
%define python_sitearch %(rpm --eval %{python%{with_pyver}_sitearch})
%define python_sitelib  %(rpm --eval %{python%{with_pyver}_sitelib})
%define python_inc      %(rpm --eval %{python%{with_pyver}_inc})
%define python_version  %(rpm --eval %{python%{with_pyver}_version})
%define python_provides %(rpm --eval %{python%{with_pyver}_provides})
%define python_requires %(rpm --eval %{python%{with_pyver}_requires})
%define py_requires     %(rpm --eval %{py%{with_pyver}_requires})

%package py%{pyver}
Group:         System/Libraries/Python
Summary:       %{summary}
Requires:      python-zope-deferredimport-%{?pyappend}
Requires:      python-zope-deprecation-%{?pyappend}
Requires:      python-zope-interface-%{?pyappend}
Requires:      python-zope-event-%{?pyappend}
Requires:      python-zope-hookable-%{?pyappend}
Requires:      python-zope-proxy-%{?pyappend}
%py_requires

%description py%{pyver}
%{summary}.
%endif

%prep
%setup -q -n zope.component-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

#sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)

%changelog
* Sat Mar 20 2021 Automatic Build System <autodist@mambasoft.it> 5.0.0-1mamba
- automatic version update by autodist

* Sat Jul 04 2020 Automatic Build System <autodist@mambasoft.it> 4.6.2-1mamba
- automatic version update by autodist

* Sat Apr 11 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 4.6.1-2mamba
- add requirements in py3* packages

* Mon Mar 23 2020 Automatic Build System <autodist@mambasoft.it> 4.6.1-1mamba
- automatic version update by autodist

* Fri Nov 15 2019 Automatic Build System <autodist@mambasoft.it> 4.6-1mamba
- automatic version update by autodist

* Sat Feb 02 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 4.5-2mamba
- added new python-zope- components

* Mon Nov 12 2018 Automatic Build System <autodist@mambasoft.it> 4.5-1mamba
- automatic version update by autodist

* Fri Sep 29 2017 Automatic Build System <autodist@mambasoft.it> 4.4.1-1mamba
- automatic version update by autodist

* Thu Aug 17 2017 Automatic Build System <autodist@mambasoft.it> 4.4.0-1mamba
- automatic version update by autodist

* Sat Sep 17 2016 Automatic Build System <autodist@mambasoft.it> 4.3.0-1mamba
- automatic update by autodist

* Sat Dec 05 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2.2-2mamba
- require python-zope-interface and python-zope-event

* Sat Dec 05 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2.2-1mamba
- package created using the webbuild interface
